Subject: Re: Howto set DIO on MPC-5200 Lite

From: Sylvain Munaut <[email-masked]>
Date: Mon, 19 Mar 2007 11:14:22 +0100

Matthias Fechner wrote:
> Hi Pedro and Sylvain,
>
> Pedro Luis D. L. wrote:
>   
>> Could you mean "GIO" ports?
>>     
>
> I mean the digital IO ports ok or general IO ports.
> What I want is to set a signal to high or low which should control a relais.
>
> I thought I can use the pin Dxx for that on the board.
>
> Best regards,
> Matthias
>   
Well, just lookup the schematics to which port the pin you want to
control is connected, then look in the datasheet how to control the
GPIO. You must make sure the port you want to control is in gpio mode in
port_config register, then setup it as output and drive a value onto it
... There is nothing currently in place to do that easily from userspace ...

    Sylvain